package httpserver

import (
	"github.com/gorilla/mux"
)

func (s *server) routes() {
	s.router = mux.NewRouter()

	s.router.HandleFunc("/", s.handleIndex()).Methods("GET")
	s.router.HandleFunc("/login", s.AuthMiddleware(s.handleLogin())).Methods("GET")
	s.router.HandleFunc("/.well-known/healthcheck.json", s.handleHealthCheck()).Methods("GET")

	s.router.Use(s.LoggingMiddleware())
}
